## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * missing dev-dependencies: metrohash
%bcond_with check
%global debug_package %{nil}

%global crate im-rc

Name:           rust-im-rc
Version:        15.1.0
Release:        %autorelease
Summary:        Immutable collection datatypes (the fast but not thread safe version)

License:        MPL-2.0+
URL:            https://crates.io/crates/im-rc
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop optional "pool" feature with missing "refpool" dependency
# * remove reference to readme file that is not included in published crates
Patch:          im-rc-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Immutable collection datatypes (the fast but not thread safe version).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENCE.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proptest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proptest-devel %{_description}

This package contains library source intended for building other packages which
use the "proptest" feature of the "%{crate}" crate.

%files       -n %{name}+proptest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Sep 14 2024 Fabio Valentini <decathorpe@gmail.com> - 15.1.0-9
- Remove reference to readme file that is not included in published crates

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 22 2023 Fabio Valentini <decathorpe@gmail.com> - 15.1.0-6
- Fix invalid SPDX identifier in crate license

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 15.1.0-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 15.1.0-1
- Update to version 15.1.0; Fixes RHBZ#2080370

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 15.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> - 15.0.0-8
- Bump dependencies to latest versions and drop unused / obsolete features

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 15.0.0-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 15.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 15.0.0-4
- Remove features with missing dependencies (refpool).

* Fri Sep 25 2020 Fabio Valentini <decathorpe@gmail.com> - 15.0.0-3
- Bump proptest to 0.10 and proptest-derive to 0.2.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 15.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 16 19:44:35 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 15.0.0-1
- Update to 15.0.0

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 14.3.0-1
- Update to 14.3.0

* Sat Feb 15 12:41:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 14.2.0-1
- Update to 14.2.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 13.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 13 20:38:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 13.0.0-3
- Bump quickcheck to 0.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 13.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 09 18:38:02 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 13.0.0-1
- Initial package

## END: Generated by rpmautospec
